// automatically generated by the FlatBuffers compiler, do not modify

package Serialization;

public final class NodeType {
  private NodeType() { }
  public static final byte UNDEFINED = 0;
  public static final byte ACTION = 1;
  public static final byte CONDITION = 2;
  public static final byte CONTROL = 3;
  public static final byte DECORATOR = 4;
  public static final byte SUBTREE = 5;

  public static final String[] names = { "UNDEFINED", "ACTION", "CONDITION", "CONTROL", "DECORATOR", "SUBTREE", };

  public static String name(int e) { return names[e]; }
}

